Set a local deposit-account label
curl --request PUT \
--url https://api.qbank.cl/platform/v1/payins/deposit-accounts/{instrumentID}/label \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Collections BO"
}
'import requests
url = "https://api.qbank.cl/platform/v1/payins/deposit-accounts/{instrumentID}/label"
payload = { "label": "Collections BO" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'Collections BO'})
};
fetch('https://api.qbank.cl/platform/v1/payins/deposit-accounts/{instrumentID}/label', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/payins/deposit-accounts/{instrumentID}/label",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'label' => 'Collections BO'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/payins/deposit-accounts/{instrumentID}/label"
payload := strings.NewReader("{\n \"label\": \"Collections BO\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.qbank.cl/platform/v1/payins/deposit-accounts/{instrumentID}/label")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"Collections BO\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/payins/deposit-accounts/{instrumentID}/label")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"Collections BO\"\n}"
response = http.request(request)
puts response.read_body{
"instrument_id": "a1d4b7c0-1234-5678-9abc-def012345678",
"label": "Collections BO",
"purpose": "banking",
"status": "active"
}{
"error": "invalid_label",
"message": "label must be at most 60 characters"
}{
"error": "not_found",
"message": "deposit account not found"
}Set a local deposit-account label
PUT
/
v1
/
payins
/
deposit-accounts
/
{instrumentID}
/
label
Set a local deposit-account label
curl --request PUT \
--url https://api.qbank.cl/platform/v1/payins/deposit-accounts/{instrumentID}/label \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Collections BO"
}
'import requests
url = "https://api.qbank.cl/platform/v1/payins/deposit-accounts/{instrumentID}/label"
payload = { "label": "Collections BO" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'Collections BO'})
};
fetch('https://api.qbank.cl/platform/v1/payins/deposit-accounts/{instrumentID}/label', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/payins/deposit-accounts/{instrumentID}/label",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'label' => 'Collections BO'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/payins/deposit-accounts/{instrumentID}/label"
payload := strings.NewReader("{\n \"label\": \"Collections BO\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.qbank.cl/platform/v1/payins/deposit-accounts/{instrumentID}/label")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"Collections BO\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/payins/deposit-accounts/{instrumentID}/label")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": \"Collections BO\"\n}"
response = http.request(request)
puts response.read_body{
"instrument_id": "a1d4b7c0-1234-5678-9abc-def012345678",
"label": "Collections BO",
"purpose": "banking",
"status": "active"
}{
"error": "invalid_label",
"message": "label must be at most 60 characters"
}{
"error": "not_found",
"message": "deposit account not found"
}Authorizations
Session JWT (from register/login) or API key (pk_...).
X-API-Key: <token> is accepted as an alternative header.
Path Parameters
Body
application/json
Maximum string length:
60Response
Label updated; an empty label clears it.
Deposit destination purpose.
Available options:
fondeo, banking Optional local nickname for company operating destinations.
Maximum string length:
60True for an AR company CVU created before its bank alias is selected.
The deposit destination to share with payers (e.g. the CLABE).
Show child attributes
Show child attributes
Available options:
active, disabled